<?php 

namespace Kitt3n\SingleSignOnForSymfonyBundle\Service;

use League\OAuth2\Client\Provider\GenericProvider;

use Kitt3n\SingleSignOnForSymfonyBundle\Service\ConfigService;

class OauthService
{
    private $configService = null;

    public function __construct(
       ConfigService $configService
    ) {
        $this->configService = $configService;
    }
    
    public function getOauthClient(
        string $clientId,
        string $clientSecret,
        string $tenant,
        string $redirectUri,
        string $urlAuthorize,
        string $urlAccessToken,
        string $urlResourceOwnerDetails,
        string $scopes
    ): GenericProvider
    {
        
        // Initialize the OAuth client
        $oauthClient = new GenericProvider([
            'clientId'                => $clientId,
            'clientSecret'            => $clientSecret,
            'tenant'                  => $tenant,
            'redirectUri'             => $redirectUri,
            'urlAuthorize'            => $urlAuthorize,
            'urlAccessToken'          => $urlAccessToken,
            'urlResourceOwnerDetails' => $urlResourceOwnerDetails,
            'scopes'                  => $scopes,
        ]);

        return $oauthClient;

    }

}